Changeset 7682:8e978c05cbc0 in orange


Ignore:
Timestamp:
02/15/11 15:55:01 (3 years ago)
Author:
mitar
Branch:
default
Convert:
f2138497f5f8cd8bf3b99a9f214f01477d0e866a
Message:

Updated Debian daily building scripts for new server.

Location:
install-scripts/debian
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • install-scripts/debian/dailyrun.sh

    r6575 r7682  
    44# 
    55 
    6 DAILY_REVISION=`svn info --non-interactive http://www.ailab.si/svn/orange/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
     6DAILY_REVISION=`svn info --non-interactive http://orange.biolab.si/svn/orange/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4` 
    77# svn info does not return proper exit status on an error so we check it this way 
    88[ "$DAILY_REVISION" ] || exit 1 
  • install-scripts/debian/debian-daily-build.sh

    r6574 r7682  
    1818 
    1919# Default is current latest revision in trunk 
    20 DAILY_REVISION=${2:-`svn info --non-interactive http://www.ailab.si/svn/orange/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`} 
     20DAILY_REVISION=${2:-`svn info --non-interactive http://orange.biolab.si/svn/orange/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`} 
    2121# svn info does not return proper exit status on an error so we check it this way 
    2222[ "$DAILY_REVISION" ] || exit 3 
    2323 
    2424# Adds our repository to APT configuration 
    25 if ! grep -q "deb http://www.ailab.si/orange/debian lenny main" /etc/apt/sources.list; then 
    26     echo "Adding ailab packages repository to APT configuration." 
    27     echo "deb http://www.ailab.si/orange/debian lenny main" >> /etc/apt/sources.list 
    28     echo "deb-src http://www.ailab.si/orange/debian lenny main" >> /etc/apt/sources.list 
     25if ! grep -q "deb http://orange.biolab.si/debian lenny main" /etc/apt/sources.list; then 
     26    echo "Adding biolab packages repository to APT configuration." 
     27    echo "deb http://orange.biolab.si/debian lenny main" >> /etc/apt/sources.list 
     28    echo "deb-src http://orange.biolab.si/debian lenny main" >> /etc/apt/sources.list 
    2929fi 
    3030 
     
    4848else 
    4949    echo "Making source archive python-orange-svn-0.0.$DAILY_REVISION." 
    50     svn export --non-interactive --revision $DAILY_REVISION http://www.ailab.si/svn/orange/trunk/orange/ python-orange-svn-0.0.$DAILY_REVISION/ 
    51     svn export --non-interactive --revision $DAILY_REVISION http://www.ailab.si/svn/orange/trunk/source/ python-orange-svn-0.0.$DAILY_REVISION/source/ 
    52     svn export --non-interactive --revision $DAILY_REVISION http://www.ailab.si/svn/orange/trunk/add-ons/orngCRS/src/ python-orange-svn-0.0.$DAILY_REVISION/source/crs/ 
    53     svn export --non-interactive --revision $DAILY_REVISION http://www.ailab.si/svn/orange/trunk/COPYING python-orange-svn-0.0.$DAILY_REVISION/COPYING 
    54     svn export --non-interactive --revision $DAILY_REVISION http://www.ailab.si/svn/orange/trunk/LICENSES python-orange-svn-0.0.$DAILY_REVISION/LICENSES 
     50    svn export --non-interactive --revision $DAILY_REVISION http://orange.biolab.si/svn/orange/trunk/orange/ python-orange-svn-0.0.$DAILY_REVISION/ 
     51    svn export --non-interactive --revision $DAILY_REVISION http://orange.biolab.si/svn/orange/trunk/source/ python-orange-svn-0.0.$DAILY_REVISION/source/ 
     52    svn export --non-interactive --revision $DAILY_REVISION http://orange.biolab.si/svn/orange/trunk/add-ons/orngCRS/src/ python-orange-svn-0.0.$DAILY_REVISION/source/crs/ 
     53    svn export --non-interactive --revision $DAILY_REVISION http://orange.biolab.si/svn/orange/trunk/COPYING python-orange-svn-0.0.$DAILY_REVISION/COPYING 
     54    svn export --non-interactive --revision $DAILY_REVISION http://orange.biolab.si/svn/orange/trunk/LICENSES python-orange-svn-0.0.$DAILY_REVISION/LICENSES 
    5555     
    5656    [ -e python-orange-svn-0.0.$DAILY_REVISION/doc/COPYING ] && mv python-orange-svn-0.0.$DAILY_REVISION/doc/COPYING python-orange-svn-0.0.$DAILY_REVISION/ 
     
    7474dpkg-buildpackage -D -E -sa -us -uc 
    7575 
    76 echo "Preparing public ailab Debian repository." 
     76echo "Preparing public biolab Debian repository." 
    7777mkdir -p /mnt/debian/dists/lenny/main/binary-$ARCH/ 
    7878mkdir -p /mnt/debian/dists/lenny/main/source/ 
  • install-scripts/debian/initial-dir/control

    r6718 r7682  
    55Standards-Version: 3.8.0 
    66Section: python 
    7 Homepage: http://www.ailab.si/orange/ 
     7Homepage: http://orange.biolab.si/ 
    88 
    99Package: orange-svn 
  • install-scripts/debian/initial-dir/copyright

    r6539 r7682  
    22Sat, 20 Feb 2010 21:58:49 +0100. 
    33 
    4 It was downloaded from http://www.ailab.si/orange/ 
     4It was downloaded from http://orange.biolab.si/ 
    55 
    66Upstream Authors: 
Note: See TracChangeset for help on using the changeset viewer.